Create a Config

This API allows the user to create a device configuration in your account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
    "name": "TESTING",
    "description": null,
    "trackingSchedule": 1,
    "trackNonGPSPoints": 1,
    "deviceConfigurations": [
        {
            "ignitionOnFrequency": 10,
            "ignitionOffFrequency": 4,
            "deviceTypeId": 1,
            "deviceVendorId": 1,
            "buzzerEnabled": true,
            "highIgnitionOnFrequency": 600,
            "highIgnitionOffFrequency": 4
        },
        {
            "ignitionOnFrequency": 24,
            "ignitionOffFrequency": 60,
            "deviceTypeId": 6,
            "deviceVendorId": 3
        }
    ],
    "hrsOfOperation": [
        {
            "day": "0",
            "startTime": "00:00",
            "endTime": "23:59",
            "hooConfigType": 1
        }
    ]
}

API Response explanation

FieldDescriptionData Type
idUnique identifier representing the configurationString
nameName of the configurationString
descriptionDescription of the configurationString
trackingSchedule

Boolean value representing whether the tracking schedule is enabled.

True = Enabled
False = Disabled

boolean
groupListArray of objects representing the meta data of the groupList<GroupsVO>
groupIdUnique identifier representing the groupString
hrsOfOperationArray of objects representing the work hoursList<HoursOfOperationVO>
idUnique identifier representing the hrsOfOperationString
day

Integer value representing the day of the week to be tracked

0 = Sunday
1 = Monday
2 = Tuesday
3 = Wednesday
4 = Thursday
5 = Friday
6 = Saturday

Byte
startTimeStart time for the vehicle to be tracked. This is in hh:mm formatString
endTimeEnd time for the vehicle to be tracked. This is in hh:mm formatString
hooConfigType

Integer value representing the configuration type if the hrsOfOperation. The valid inputs are 1 & 2.

1 = Hours of operation(work hours) for normal tracking interval
2 = Hours of operation(work hours) for high frequency tracking interval

Integer
deviceConfigurationsArray of objects representing the configurations for different device types - Devices & Asset TrackersSet<DeviceConfiguration>
idUnique identifier representing the device configurationString
ignitionOnFrequencyTracking interval in minutes when the ignition is ONInteger
ignitionOffFrequencyTracking interval in hours when the ignition is OFFInteger
deviceTypeId

Unique identifier representing the device type.

1 = Device
6 = Asset tracker

Integer
deviceVendorIdUnique identifier representing the device vendorInteger
deleted

Delete status of the configuration.

True = Deleted
False = Not deleted

boolean
deletedAtDeleted time of the configuration in UTC millisecondsTimestamp
buzzerEnabled

Boolean value representing the ON/OFF status of the buzzer

True = Buzzer is ON
False = Buzzer is OFF

boolean
highIgnitionOnFrequencyHigh frequency tracking interval in seconds when the ignition is ONInteger
highIgnitionOffFrequencyHigh frequency tracking interval in hours when the ignition is OFFInteger
statusChangedFor internal Azuga useboolean
ignitionChangedFor internal Azuga useboolean
errorError description - if anyList<Error>
Body Params
string
required

Name of the configuration

string

Description of the configuration

deviceConfigurations
array of objects
required

Array of objects representing the configurations for different device types - Devices & Asset Trackers

deviceConfigurations*
int32

Boolean representing whether to track 24/7 or custom hours. 0 - To track 24/7, 1 - To track based on hrsOfOperation field

hrsOfOperation
array of objects

Array of objects representing the work hours. Keep this field black([]) for 24/7 tracking

hrsOfOperation
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json